com.ihr.xbrl.om.formula.functions.errors

## Class XFException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - javax.xml.transform.TransformerException
      - - net.sf.saxon.trans.XPathException
        - - com.ihr.xbrl.om.formula.functions.errors.XFException

- All Implemented Interfaces:
    java.io.Serializable
  Direct Known Subclasses:
    XFFEInvalidFunctionUse, XFIEAmbiguousFilterMemberNetwork, XFIEElementIsNotXbrlConcept, XFIEInvalidConceptQName, XFIEInvalidConceptRelationParameters, XFIEInvalidDimensionQName, XFIEInvalidExplicitDimensionQName, XFIEInvalidPictureSyntax, XFIEInvalidTypedDimensionQName, XFIEItemIsNotNumeric, XFIEPeriodIsForever, XFIEPeriodIsNotInstant, XFIEUnrecognisedExplicitDimensionValueQName, XFxbrlcfieInputMismatch, XFxbrldfeInvalidDomainMember, XFxfieNodeIsNotXbrlItem

      public abstract class XFException
      extends net.sf.saxon.trans.XPathException

  The Class XFException.
  Author:
    Ignacio
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class net.sf.saxon.trans.XPathException

      `net.sf.saxon.trans.XPathException.Circularity`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `XBRLDFE` The Constant XBRLDFE.
    `static java.lang.String` | `XBRLDFEPFX` The Constant XBRLDFEPFX.
    `static java.lang.String` | `XBRLFFE` The Constant XBRLFFE.
    `static java.lang.String` | `XBRLFFEPFX` The Constant XBRLFFEPFX.
    `static java.lang.String` | `XBRLFIE` The Constant XBRLFIE.
    `static java.lang.String` | `XBRLFIEPFX` The Constant XBRLFIEPFX.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XFException(javax.xml.namespace.QName qError, java.lang.String description)` Instantiates a new XF exception.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `javax.xml.namespace.QName` | `getQNameError()` Gets the q name error.

    - ### Methods inherited from class net.sf.saxon.trans.XPathException

      `getAdditionalLocationText, getErrorCodeLocalPart, getErrorCodeNamespace, getErrorCodeQName, getErrorObject, getXPathContext, hasBeenReported, isGlobalError, isReportableStatically, isStaticError, isTypeError, makeStatic, makeXPathException, maybeSetContext, maybeSetErrorCode, maybeSetLocation, setAdditionalLocationText, setErrorCode, setErrorCodeQName, setErrorObject, setHasBeenReported, setIsGlobalError, setIsStaticError, setIsTypeError, setXPathContext`

    - ### Methods inherited from class javax.xml.transform.TransformerException

      `getCause, getException, getLocationAsString, getLocator, getMessageAndLocation, initCause, printStackTrace, printStackTrace, printStackTrace, setLocator`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### XBRLFIE

          public static final java.lang.String XBRLFIE

      The Constant XBRLFIE.
      See Also:
        Constant Field Values

    - #### XBRLFIEPFX

          public static final java.lang.String XBRLFIEPFX

      The Constant XBRLFIEPFX.
      See Also:
        Constant Field Values

    - #### XBRLDFE

          public static final java.lang.String XBRLDFE

      The Constant XBRLDFE.
      See Also:
        Constant Field Values

    - #### XBRLDFEPFX

          public static final java.lang.String XBRLDFEPFX

      The Constant XBRLDFEPFX.
      See Also:
        Constant Field Values

    - #### XBRLFFE

          public static final java.lang.String XBRLFFE

      The Constant XBRLFFE.
      See Also:
        Constant Field Values

    - #### XBRLFFEPFX

          public static final java.lang.String XBRLFFEPFX

      The Constant XBRLFFEPFX.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### XFException

          public XFException(javax.xml.namespace.QName qError,
                     java.lang.String description)

      Instantiates a new XF exception.
      Parameters:
        `qError` - the q error
        `description` - the description

  - ### Method Detail

    - #### getQNameError

          public javax.xml.namespace.QName getQNameError()

      Gets the q name error.
      Returns:
        QName